<?php
/**
 * The Classic template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0
 */

$smartclean_blog_style = explode('_', smartclean_get_theme_option('blog_style'));
$smartclean_columns = empty($smartclean_blog_style[1]) ? 2 : max(2, $smartclean_blog_style[1]);
$smartclean_expanded = !smartclean_sidebar_present() && smartclean_is_on(smartclean_get_theme_option('expand_content'));
$smartclean_post_format = get_post_format();
$smartclean_post_format = empty($smartclean_post_format) ? 'standard' : str_replace('post-format-', '', $smartclean_post_format);
$smartclean_animation = smartclean_get_theme_option('blog_animation');
$smartclean_components = smartclean_is_inherit(smartclean_get_theme_option_from_meta('meta_parts')) 
							? 'date,counters'.($smartclean_columns < 3 ? ',edit' : '')
							: smartclean_array_get_keys_by_value(smartclean_get_theme_option('meta_parts'));
$smartclean_counters = smartclean_is_inherit(smartclean_get_theme_option_from_meta('counters')) 
							? 'comments'
							: smartclean_array_get_keys_by_value(smartclean_get_theme_option('counters'));

?><div class="<?php echo trim($smartclean_blog_style[0]) == 'classic' ? 'column' : 'masonry_item masonry_item'; ?>-1_<?php echo esc_attr($smartclean_columns); ?>"><article id="post-<?php the_ID(); ?>"
	<?php post_class( 'post_item post_format_'.esc_attr($smartclean_post_format)
					. ' post_layout_classic post_layout_classic_'.esc_attr($smartclean_columns)
					. ' post_layout_'.esc_attr($smartclean_blog_style[0]) 
					. ' post_layout_'.esc_attr($smartclean_blog_style[0]).'_'.esc_attr($smartclean_columns)
					); ?>
	<?php echo (!smartclean_is_off($smartclean_animation) ? ' data-animation="'.esc_attr(smartclean_get_animation_classes($smartclean_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	smartclean_show_post_featured( array( 'thumb_size' => smartclean_get_thumb_size($smartclean_blog_style[0] == 'classic'
													? (strpos(smartclean_get_theme_option('body_style'), 'full')!==false 
															? ( $smartclean_columns > 2 ? 'big' : 'huge' )
															: (	$smartclean_columns > 2
																? ($smartclean_expanded ? 'med' : 'small')
																: ($smartclean_expanded ? 'big' : 'med')
																)
														)
													: (strpos(smartclean_get_theme_option('body_style'), 'full')!==false 
															? ( $smartclean_columns > 2 ? 'masonry-big' : 'full' )
															: (	$smartclean_columns <= 2 && $smartclean_expanded ? 'masonry-big' : 'masonry')
														)
								) ) );

	if ( !in_array($smartclean_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php 
			do_action('smartclean_action_before_post_title'); 

			// Post title
			the_title( sprintf( '<h5 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h5>' );

			do_action('smartclean_action_before_post_meta'); 

			// Post meta
			if (!empty($smartclean_components))
				smartclean_show_post_meta(apply_filters('smartclean_filter_post_meta_args', array(
					'components' => $smartclean_components,
					'counters' => $smartclean_counters,
					'seo' => false
					), $smartclean_blog_style[0], $smartclean_columns)
				);

			do_action('smartclean_action_after_post_meta'); 
			?>
		</div><!-- .entry-header -->
		<?php
	}		
	?>

	<div class="post_content entry-content">
		<div class="post_content_inner">
			<?php
			$smartclean_show_learn_more = false; //!in_array($smartclean_post_format, array('link', 'aside', 'status', 'quote'));
			if (has_excerpt()) {
				the_excerpt();
			} else if (strpos(get_the_content('!--more'), '!--more')!==false) {
				the_content( '' );
			} else if (in_array($smartclean_post_format, array('link', 'aside', 'status'))) {
				the_content();
			} else if ($smartclean_post_format == 'quote') {
				if (($quote = smartclean_get_tag(get_the_content(), '<blockquote>', '</blockquote>'))!='')
					smartclean_show_layout(wpautop($quote));
				else
					the_excerpt();
			} else if (substr(get_the_content(), 0, 1)!='[') {
				the_excerpt();
			}
			?>
		</div>
		<?php
		// Post meta
		if (in_array($smartclean_post_format, array('link', 'aside', 'status', 'quote'))) {
			if (!empty($smartclean_components))
				smartclean_show_post_meta(apply_filters('smartclean_filter_post_meta_args', array(
					'components' => $smartclean_components,
					'counters' => $smartclean_counters
					), $smartclean_blog_style[0], $smartclean_columns)
				);
		}
		// More button
		if ( $smartclean_show_learn_more ) {
			?><p><a class="more-link" href="<?php echo esc_url(get_permalink()); ?>"><?php esc_html_e('Read more', 'smartclean'); ?></a></p><?php
		}
		?>
	</div><!-- .entry-content -->

</article></div>