<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0
 */

$smartclean_blog_style = explode('_', smartclean_get_theme_option('blog_style'));
$smartclean_columns = empty($smartclean_blog_style[1]) ? 2 : max(2, $smartclean_blog_style[1]);
$smartclean_post_format = get_post_format();
$smartclean_post_format = empty($smartclean_post_format) ? 'standard' : str_replace('post-format-', '', $smartclean_post_format);
$smartclean_animation = smartclean_get_theme_option('blog_animation');
$smartclean_image = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'full' );

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_gallery post_layout_gallery_'.esc_attr($smartclean_columns).' post_format_'.esc_attr($smartclean_post_format) ); ?>
	<?php echo (!smartclean_is_off($smartclean_animation) ? ' data-animation="'.esc_attr(smartclean_get_animation_classes($smartclean_animation)).'"' : ''); ?>
	data-size="<?php if (!empty($smartclean_image[1]) && !empty($smartclean_image[2])) echo intval($smartclean_image[1]) .'x' . intval($smartclean_image[2]); ?>"
	data-src="<?php if (!empty($smartclean_image[0])) echo esc_url($smartclean_image[0]); ?>"
	>

	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	$smartclean_image_hover = 'icon';	//smartclean_get_theme_option('image_hover');
	if (in_array($smartclean_image_hover, array('icons', 'zoom'))) $smartclean_image_hover = 'dots';
	$smartclean_components = smartclean_is_inherit(smartclean_get_theme_option_from_meta('meta_parts')) 
								? 'categories,date,counters,share'
								: smartclean_array_get_keys_by_value(smartclean_get_theme_option('meta_parts'));
	$smartclean_counters = smartclean_is_inherit(smartclean_get_theme_option_from_meta('counters')) 
								? 'comments'
								: smartclean_array_get_keys_by_value(smartclean_get_theme_option('counters'));
	smartclean_show_post_featured(array(
		'hover' => $smartclean_image_hover,
		'thumb_size' => smartclean_get_thumb_size( strpos(smartclean_get_theme_option('body_style'), 'full')!==false || $smartclean_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only' => true,
		'show_no_image' => true,
		'post_info' => '<div class="post_details">'
							. '<h2 class="post_title"><a href="'.esc_url(get_permalink()).'">'. esc_html(get_the_title()) . '</a></h2>'
							. '<div class="post_description">'
								. (!empty($smartclean_components)
										? smartclean_show_post_meta(apply_filters('smartclean_filter_post_meta_args', array(
											'components' => $smartclean_components,
											'counters' => $smartclean_counters,
											'seo' => false,
											'echo' => false
											), $smartclean_blog_style[0], $smartclean_columns))
										: '')
								. '<div class="post_description_content">'
									. apply_filters('the_excerpt', get_the_excerpt())
								. '</div>'
								. '<a href="'.esc_url(get_permalink()).'" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__('Learn more', 'smartclean') . '</span></a>'
							. '</div>'
						. '</div>'
	));
	?>
</article>