<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0
 */

$smartclean_blog_style = explode('_', smartclean_get_theme_option('blog_style'));
$smartclean_columns = empty($smartclean_blog_style[1]) ? 2 : max(2, $smartclean_blog_style[1]);
$smartclean_post_format = get_post_format();
$smartclean_post_format = empty($smartclean_post_format) ? 'standard' : str_replace('post-format-', '', $smartclean_post_format);
$smartclean_animation = smartclean_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_portfolio post_layout_portfolio_'.esc_attr($smartclean_columns).' post_format_'.esc_attr($smartclean_post_format).(is_sticky() && !is_paged() ? ' sticky' : '') ); ?>
	<?php echo (!smartclean_is_off($smartclean_animation) ? ' data-animation="'.esc_attr(smartclean_get_animation_classes($smartclean_animation)).'"' : ''); ?>>
	<?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	$smartclean_image_hover = smartclean_get_theme_option('image_hover');
	// Featured image
	smartclean_show_post_featured(array(
		'thumb_size' => smartclean_get_thumb_size(strpos(smartclean_get_theme_option('body_style'), 'full')!==false || $smartclean_columns < 3 ? 'masonry-big' : 'masonry'),
		'show_no_image' => true,
		'class' => $smartclean_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $smartclean_image_hover == 'dots' ? '<div class="post_info">'.esc_html(get_the_title()).'</div>' : ''
	));
	?>
</article>