<?php
/**
 * The Sticky template to display the sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0
 */

$smartclean_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$smartclean_post_format = get_post_format();
$smartclean_post_format = empty($smartclean_post_format) ? 'standard' : str_replace('post-format-', '', $smartclean_post_format);
$smartclean_animation = smartclean_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($smartclean_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($smartclean_post_format) ); ?>
	<?php echo (!smartclean_is_off($smartclean_animation) ? ' data-animation="'.esc_attr(smartclean_get_animation_classes($smartclean_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	smartclean_show_post_featured(array(
		'thumb_size' => smartclean_get_thumb_size($smartclean_columns==1 ? 'big' : ($smartclean_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($smartclean_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
			// Post title
			the_title( sprintf( '<h6 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
			// Post meta
			smartclean_show_post_meta(apply_filters('smartclean_filter_post_meta_args', array(), 'sticky', $smartclean_columns));
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>