<?php
/**
 * The Front Page template file.
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0.31
 */

get_header();

// If front-page is a static page
if (get_option('show_on_front') == 'page') {

	// If Front Page Builder is enabled - display sections
	if (smartclean_is_on(smartclean_get_theme_option('front_page_enabled'))) {

		if ( have_posts() ) the_post();

		$smartclean_sections = smartclean_array_get_keys_by_value(smartclean_get_theme_option('front_page_sections'), 1, false);
		if (is_array($smartclean_sections)) {
			foreach ($smartclean_sections as $smartclean_section) {
				get_template_part("front-page/section", $smartclean_section);
			}
		}
	
	// Else - display native page content
	} else
		get_template_part('page');

// Else get index template to show posts
} else
	get_template_part('index');

get_footer();
?>