<?php
/**
 * The template for homepage posts with "Classic" style
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0
 */

smartclean_storage_set('blog_archive', true);

// Load scripts for 'Masonry' layout
if (substr(smartclean_get_theme_option('blog_style'), 0, 7) == 'masonry') {
	wp_enqueue_script( 'imagesloaded' );
	wp_enqueue_script( 'masonry' );
	wp_enqueue_script( 'classie', smartclean_get_file_url('js/theme.gallery/classie.min.js'), array(), null, true );
	wp_enqueue_script( 'smartclean-gallery-script', smartclean_get_file_url('js/theme.gallery/theme.gallery.js'), array(), null, true );
}

get_header(); 

if (have_posts()) {

	echo get_query_var('blog_archive_start');

	$smartclean_classes = 'posts_container '
						. (substr(smartclean_get_theme_option('blog_style'), 0, 7) == 'classic' ? 'columns_wrap columns_padding_bottom' : 'masonry_wrap');
	$smartclean_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$smartclean_sticky_out = smartclean_get_theme_option('sticky_style')=='columns' 
							&& is_array($smartclean_stickies) && count($smartclean_stickies) > 0 && get_query_var( 'paged' ) < 1;
	if ($smartclean_sticky_out) {
		?><div class="sticky_wrap columns_wrap"><?php	
	}
	if (!$smartclean_sticky_out) {
		if (smartclean_get_theme_option('first_post_large') && !is_paged() && !in_array(smartclean_get_theme_option('body_style'), array('fullwide', 'fullscreen'))) {
			the_post();
			get_template_part( 'content', 'excerpt' );
		}
		
		?><div class="<?php echo esc_attr($smartclean_classes); ?>"><?php
	}
	while ( have_posts() ) { the_post(); 
		if ($smartclean_sticky_out && !is_sticky()) {
			$smartclean_sticky_out = false;
			?></div><div class="<?php echo esc_attr($smartclean_classes); ?>"><?php
		}
		get_template_part( 'content', $smartclean_sticky_out && is_sticky() ? 'sticky' : 'classic' );
	}
	
	?></div><?php

	smartclean_show_pagination();

	echo get_query_var('blog_archive_end');

} else {

	if ( is_search() )
		get_template_part( 'content', 'none-search' );
	else
		get_template_part( 'content', 'none-archive' );

}

get_footer();
?>