<?php
// Add plugin-specific colors and fonts to the custom CSS
if (!function_exists('smartclean_trx_addons_my_get_css')) {
	add_filter('smartclean_filter_get_css', 'smartclean_trx_addons_my_get_css', 10, 4);
	function smartclean_trx_addons_my_get_css($css, $colors, $fonts, $scheme='') {


        if (isset($css['fonts']) && $fonts) {
            $css['fonts'] .= <<<CSS
.widget .post_item .post_title {
	{$fonts['p_font-family']}
}
.trx_addons_popup .trx_addons_tabs_titles li.trx_addons_tabs_title > a,
.trx_addons_popup_form_field_submit .submit_button,
.trx_addons_popup_form_field_remember, .trx_addons_popup_form_field_agree, .trx_addons_popup_form_field_pwd_description,
.sc_price_item_description,
.sc_price_item_subtitle,
.sc_skills_pie.sc_skills_compact_off .sc_skills_item_title,
footer .widget_text,
.widget_contacts .contacts_info span.contacts_label,
.widget_area .post_item .post_info, .widget .post_item .post_info,
.trx_addons_dropcap {
	{$fonts['h1_font-family']}
}
.sc_item_subtitle,
.breadcrumbs,
table th,
ol[class*="trx_addons_list"] > li:before {
	{$fonts['h6_font-family']}
}

CSS;
        }

		if (isset($css['colors']) && $colors) {
			$css['colors'] .= <<<CSS
.trx_addons_hovered_text {
	color: {$colors['text_hover']};
}
.trx_addons_accent_bg {
	color: {$colors['bg_color']};
	background-color: {$colors['text_hover']};
}
.trx_addons_dropcap.trx_addons_dropcap_style_2 {
	color: {$colors['bg_color']};
	background-color: {$colors['text_hover']};
}
ul[class*="trx_addons_list_dot"] > li:before {
	color: {$colors['text']};
}
ol[class*="trx_addons_list"] > li:before {
	color: {$colors['text_hover']};
}
.sc_layouts_row_type_compact .sc_layouts_column_align_right .sc_layouts_item + .sc_layouts_item:before {
	background-color: {$colors['bd_color']};
}
.widget .trx_addons_tabs .trx_addons_tabs_titles li + li:before {
	background-color: {$colors['bd_color']};
}
.widget_contacts .contacts_description, .widget_contacts .contacts_content {
	color: {$colors['text']};
}
.footer_wrap .widget li > a,
.footer_wrap.scheme_self .widget li > a {
	color: {$colors['text']};
}
.footer_wrap .widget_contacts .contacts_info span.contacts_label,
.footer_wrap.scheme_self .widget_contacts .contacts_info span.contacts_label {
    color: {$colors['text_dark']};
}
.wpb-js-composer .vc_tta.vc_general .vc_tta-tabs-list {
	background-color: {$colors['alter_bg_color']};
}
.sc_skills .sc_skills_total {
    color: {$colors['text_dark']};
}
.slider_swiper .slider_pagination_wrap .swiper-pagination-bullet,
.slider_swiper_outer .slider_pagination_wrap .swiper-pagination-bullet,
.swiper-pagination-custom .swiper-pagination-button {
	background-color: {$colors['bg_color']};
}
.swiper-pagination-custom .swiper-pagination-button.swiper-pagination-button-active,
.slider_swiper .slider_pagination_wrap .swiper-pagination-bullet.swiper-pagination-bullet-active,
.slider_swiper_outer .slider_pagination_wrap .swiper-pagination-bullet.swiper-pagination-bullet-active,
.slider_pagination_wrap .swiper-pagination-bullet:hover,
.slider_swiper_outer .slider_pagination_wrap .swiper-pagination-bullet:hover {
	background-color: {$colors['bg_color']};
}
.slider_swiper .swiper-pagination-bullet:after, .slider_swiper_outer .swiper-pagination-bullet:after {
	border-color: {$colors['bg_color']};
}

/* Price */
.sc_price_item {
	color: {$colors['text']};
	background-color: {$colors['bg_color']};
	border-color: {$colors['bg_color']};
}
.sc_price_item:hover {
	background-color: {$colors['bg_color']};
	border-color: {$colors['bg_color']};
}
.sc_price_item .sc_price_item_icon {
	color: {$colors['text_link']};
}
.sc_price_item:hover .sc_price_item_icon {
	color: {$colors['text_link']};
}
.sc_price_item .sc_price_item_label {
	background-color: {$colors['extra_link']};
	color: {$colors['inverse_text']};
}
.sc_price_item:hover .sc_price_item_label {
	background-color: {$colors['extra_hover']};
	color: {$colors['inverse_text']};
}
.sc_price_item .sc_price_item_subtitle {
	color: {$colors['text_light']};
}
.sc_price_item .sc_price_item_title,
.sc_price_item .sc_price_item_title a {
	color: {$colors['text_dark']};
}
.sc_price_item:hover .sc_price_item_title,
.sc_price_item:hover .sc_price_item_title a {
	color: {$colors['text_dark']};
}
.sc_price_item:hover .sc_price_item_title a:hover {
	color: {$colors['text_hover']};
}
.sc_price_item .sc_price_item_price {
	color: {$colors['text_light']};
}
.sc_price_item .sc_price_item_description {
	color: {$colors['text_light']};
}
.sc_price_item .sc_price_item_details {
	color: {$colors['text']};
}
.sc_price_item_description ul li + li,
.sc_price_item_details ul li + li {
	border-color: {$colors['bd_color']};
}
.sc_price_default .sc_price_columns_wrap [class*="trx_addons_column-"]:nth-child(2n) .sc_price_item_icon {
	color: {$colors['text_hover']};
}
.sc_item_subtitle {
	color: {$colors['text_hover']};
}
.sc_icons .sc_icons_icon {
	color: {$colors['bg_color']};
	background-color: {$colors['text_hover']};
}
.sc_icons .sc_icons_item_title {
	color: {$colors['text_dark']};
}
.sc_icons_item_description, 
.sc_icons_modern .sc_icons_item_description {
	color: {$colors['text']};
}
.sc_services_chess .sc_services_item {
	color: {$colors['text']};
	background-color: {$colors['alter_bg_color']};
}
ul[class*="trx_addons_list"].trx_addons_list_rounded_arrow li:before {
	color: {$colors['text_link']};
	background-color: {$colors['bg_color']};
}
.sc_blogger_item {
	background-color: {$colors['bg_color']};
}
.sc_blogger_item_content {
	color: {$colors['text']};
}
.sc_services_default .sc_services_item_featured_left .sc_services_item_icon,
.sc_services_default .sc_services_item_featured_right .sc_services_item_icon,
.sc_services_list .sc_services_item_icon {
	color: {$colors['text_hover']};
	background-color: {$colors['bg_color']};
}
.scheme_dark .sc_item_subtitle {
    color: {$colors['bg_color']};
}
.sc_testimonials_item_content:before,
.sc_testimonials_item_author_title {
	color: {$colors['text_dark']};
}
.swiper-pagination-custom .swiper-pagination-button:before {
	background-color: {$colors['bg_color']};
}
.sc_blogger .sc_blogger_item .sc_blogger_item_title a:hover,
.sc_services .sc_services_item_title a:hover {
    color: {$colors['text_hover']};
}
.sc_layouts_login {
	background-color: {$colors['text_hover']};
}
.sc_layouts_login .trx_addons_login_link:hover .sc_layouts_login_icon,
.sc_layouts_login .sc_layouts_login_icon {
    color: {$colors['bg_color']}!important;
}
.trx_addons_popup_form_wrap input[type="password"], .trx_addons_popup_form_wrap input[type="text"] {
  background-color: {$colors['bg_color']}!important;
}


CSS;
		}

		return $css;
	}
}
?>