<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0
 */

if (smartclean_sidebar_present()) {
	ob_start();
	$smartclean_sidebar_name = smartclean_get_theme_option('sidebar_widgets');
	smartclean_storage_set('current_sidebar', 'sidebar');
	if ( is_active_sidebar($smartclean_sidebar_name) ) {
		dynamic_sidebar($smartclean_sidebar_name);
	}
	$smartclean_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($smartclean_out)) {
		$smartclean_sidebar_position = smartclean_get_theme_option('sidebar_position');
		?>
		<div class="sidebar <?php echo esc_attr($smartclean_sidebar_position); ?> widget_area<?php if (!smartclean_is_inherit(smartclean_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(smartclean_get_theme_option('sidebar_scheme')); ?>" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'smartclean_action_before_sidebar' );
				smartclean_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $smartclean_out));
				do_action( 'smartclean_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
?>