<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0.1
 */
 
$smartclean_theme_obj = wp_get_theme();
?>
<div class="update-nag" id="smartclean_admin_notice">
	<h3 class="smartclean_notice_title"><?php echo sprintf(esc_html__('Welcome to %s v.%s', 'smartclean'), $smartclean_theme_obj->name.(SMARTCLEAN_THEME_FREE ? ' '.esc_html__('Free', 'smartclean') : ''), $smartclean_theme_obj->version); ?></h3>
	<?php
	if (!smartclean_exists_trx_addons()) {
		?><p><?php echo wp_kses_data(__('<b>Attention!</b> Plugin "ThemeREX Addons is required! Please, install and activate it!', 'smartclean')); ?></p><?php
	}
	?><p>
		<a href="<?php echo esc_url(admin_url().'themes.php?page=smartclean_about'); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> <?php echo sprintf(esc_html__('About %s', 'smartclean'), $smartclean_theme_obj->name); ?></a>
		<?php
		if (smartclean_get_value_gp('page')!='tgmpa-install-plugins') {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=tgmpa-install-plugins'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-plugins"></i> <?php esc_html_e('Install plugins', 'smartclean'); ?></a>
			<?php
		}
		if (function_exists('smartclean_exists_trx_addons') && smartclean_exists_trx_addons() && class_exists('trx_addons_demo_data_importer')) {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=trx_importer'); ?>" class="button button-primary"><i class="dashicons dashicons-download"></i> <?php esc_html_e('One Click Demo Data', 'smartclean'); ?></a>
			<?php
		}
		?>
        <a href="<?php echo esc_url(admin_url().'customize.php'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Customizer', 'smartclean'); ?></a>
		<span> <?php esc_html_e('or', 'smartclean'); ?> </span>
        <a href="<?php echo esc_url(admin_url().'themes.php?page=theme_options'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Options', 'smartclean'); ?></a>
        <a href="#" class="button smartclean_hide_notice"><i class="dashicons dashicons-dismiss"></i> <?php esc_html_e('Hide Notice', 'smartclean'); ?></a>
	</p>
</div>