<?php
/**
 * The template to display the Author bio
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0
 */
?>

<div class="author_info author vcard" itemprop="author" itemscope itemtype="http://schema.org/Person">

	<div class="author_avatar" itemprop="image">
		<?php 
		$smartclean_mult = smartclean_get_retina_multiplier();
		echo get_avatar( get_the_author_meta( 'user_email' ), 120*$smartclean_mult ); 
		?>
	</div><!-- .author_avatar -->

	<div class="author_description">
        <h5 class="author_title" itemprop="name"><span class="author_attr"><?php echo esc_attr__('Written by ', 'smartclean'); ?></span><span class="fn"><?php echo get_the_author(); ?></span></h5>

		<div class="author_bio" itemprop="description">
			<?php echo wp_kses_post(wpautop(get_the_author_meta( 'description' ))); ?>
			<a class="author_link" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
				<?php printf( esc_html__( 'View all posts by %s', 'smartclean' ), '<span class="author_name">' . esc_html(get_the_author()) . '</span>' ); ?>
			</a>
			<?php do_action('smartclean_action_user_meta'); ?>
		</div><!-- .author_bio -->

	</div><!-- .author_description -->

</div><!-- .author_info -->
