<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0.10
 */

// Copyright area
$smartclean_footer_scheme =  smartclean_is_inherit(smartclean_get_theme_option('footer_scheme')) ? smartclean_get_theme_option('color_scheme') : smartclean_get_theme_option('footer_scheme');
$smartclean_copyright_scheme = smartclean_is_inherit(smartclean_get_theme_option('copyright_scheme')) ? $smartclean_footer_scheme : smartclean_get_theme_option('copyright_scheme');
?> 
<div class="footer_copyright_wrap scheme_<?php echo esc_attr($smartclean_copyright_scheme); ?>">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text"><?php
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$smartclean_copyright = smartclean_prepare_macros(smartclean_get_theme_option('copyright'));
				if (!empty($smartclean_copyright)) {
					// Replace {date_format} on the current date in the specified format
					if (preg_match("/(\\{[\\w\\d\\\\\\-\\:]*\\})/", $smartclean_copyright, $smartclean_matches)) {
						$smartclean_copyright = str_replace($smartclean_matches[1], date(str_replace(array('{', '}'), '', $smartclean_matches[1])), $smartclean_copyright);
					}
					// Display copyright
					echo wp_kses_data(nl2br($smartclean_copyright));
				}
			?></div>
		</div>
	</div>
</div>
