<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0.10
 */

$smartclean_footer_scheme =  smartclean_is_inherit(smartclean_get_theme_option('footer_scheme')) ? smartclean_get_theme_option('color_scheme') : smartclean_get_theme_option('footer_scheme');
$smartclean_footer_id = str_replace('footer-custom-', '', smartclean_get_theme_option("footer_style"));
if ((int) $smartclean_footer_id == 0) {
	$smartclean_footer_id = smartclean_get_post_id(array(
												'name' => $smartclean_footer_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUT_PT') ? TRX_ADDONS_CPT_LAYOUT_PT : 'cpt_layouts'
												)
											);
} else {
    $smartclean_footer_id = apply_filters('trx_addons_filter_get_translated_layout', $smartclean_footer_id);
}
$smartclean_footer_meta = get_post_meta($smartclean_footer_id, 'trx_addons_options', true);
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr($smartclean_footer_id); 
						?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($smartclean_footer_id))); 
						if (!empty($smartclean_footer_meta['margin']) != '') 
							echo ' '.esc_attr(smartclean_add_inline_css_class('margin-top: '.esc_attr(smartclean_prepare_css_value($smartclean_footer_meta['margin'])).';'));
						?> scheme_<?php echo esc_attr($smartclean_footer_scheme); 
						?>">
	<?php
    // Custom footer's layout
    do_action('smartclean_action_show_layout', $smartclean_footer_id);
	?>
</footer><!-- /.footer_wrap -->
