<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0.10
 */

// Logo
if (smartclean_is_on(smartclean_get_theme_option('logo_in_footer'))) {
	$smartclean_logo_image = '';
	if (smartclean_is_on(smartclean_get_theme_option('logo_retina_enabled')) && smartclean_get_retina_multiplier(2) > 1)
		$smartclean_logo_image = smartclean_get_theme_option( 'logo_footer_retina' );
	if (empty($smartclean_logo_image)) 
		$smartclean_logo_image = smartclean_get_theme_option( 'logo_footer' );
	$smartclean_logo_text   = get_bloginfo( 'name' );
	if (!empty($smartclean_logo_image) || !empty($smartclean_logo_text)) {
		?>
		<div class="footer_logo_wrap">
			<div class="footer_logo_inner">
				<?php
				if (!empty($smartclean_logo_image)) {
					$smartclean_attr = smartclean_getimagesize($smartclean_logo_image);
					echo '<a href="'.esc_url(home_url('/')).'"><img src="'.esc_url($smartclean_logo_image).'" class="logo_footer_image" alt="'.esc_html(basename($smartclean_logo_image)).'"'.(!empty($smartclean_attr[3]) ? sprintf(' %s', $smartclean_attr[3]) : '').'></a>' ;
				} else if (!empty($smartclean_logo_text)) {
					echo '<h1 class="logo_footer_text"><a href="'.esc_url(home_url('/')).'">' . esc_html($smartclean_logo_text) . '</a></h1>';
				}
				?>
			</div>
		</div>
		<?php
	}
}
?>