<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0.10
 */

// Footer sidebar
$smartclean_footer_name = smartclean_get_theme_option('footer_widgets');
$smartclean_footer_present = !smartclean_is_off($smartclean_footer_name) && is_active_sidebar($smartclean_footer_name);
if ($smartclean_footer_present) { 
	smartclean_storage_set('current_sidebar', 'footer');
	$smartclean_footer_wide = smartclean_get_theme_option('footer_wide');
	ob_start();
	if ( is_active_sidebar($smartclean_footer_name) ) {
		dynamic_sidebar($smartclean_footer_name);
	}
	$smartclean_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($smartclean_out)) {
		$smartclean_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $smartclean_out);
		$smartclean_need_columns = true;	//or check: strpos($smartclean_out, 'columns_wrap')===false;
		if ($smartclean_need_columns) {
			$smartclean_columns = max(0, (int) smartclean_get_theme_option('footer_columns'));
			if ($smartclean_columns == 0) $smartclean_columns = min(4, max(1, substr_count($smartclean_out, '<aside ')));
			if ($smartclean_columns > 1)
				$smartclean_out = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($smartclean_columns).' widget ', $smartclean_out);
			else
				$smartclean_need_columns = false;
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo !empty($smartclean_footer_wide) ? ' footer_fullwidth' : ''; ?> sc_layouts_row  sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php 
				if (!$smartclean_footer_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($smartclean_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'smartclean_action_before_sidebar' );
				smartclean_show_layout($smartclean_out);
				do_action( 'smartclean_action_after_sidebar' );
				if ($smartclean_need_columns) {
					?></div><!-- /.columns_wrap --><?php
				}
				if (!$smartclean_footer_wide) {
					?></div><!-- /.content_wrap --><?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
?>