<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0.06
 */

$smartclean_header_css = $smartclean_header_image = '';
$smartclean_header_video = smartclean_get_header_video();
if (true || empty($smartclean_header_video)) {
	$smartclean_header_image = get_header_image();
	if (smartclean_is_on(smartclean_get_theme_option('header_image_override')) && apply_filters('smartclean_filter_allow_override_header_image', true)) {
		if (is_category()) {
			if (($smartclean_cat_img = smartclean_get_category_image()) != '')
				$smartclean_header_image = $smartclean_cat_img;
		} else if (is_singular() || smartclean_storage_isset('blog_archive')) {
			if (has_post_thumbnail()) {
				$smartclean_header_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
				if (is_array($smartclean_header_image)) $smartclean_header_image = $smartclean_header_image[0];
			} else
				$smartclean_header_image = '';
		}
	}
}

$smartclean_header_id = str_replace('header-custom-', '', smartclean_get_theme_option("header_style"));
if ((int) $smartclean_header_id == 0) {
	$smartclean_header_id = smartclean_get_post_id(array(
												'name' => $smartclean_header_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUT_PT') ? TRX_ADDONS_CPT_LAYOUT_PT : 'cpt_layouts'
												)
											);
} else {
    $smartclean_header_id = apply_filters('trx_addons_filter_get_translated_layout', $smartclean_header_id);
}
$smartclean_header_meta = get_post_meta($smartclean_header_id, 'trx_addons_options', true);

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr($smartclean_header_id); 
				?> top_panel_custom_<?php echo esc_attr(sanitize_title(get_the_title($smartclean_header_id)));
				echo !empty($smartclean_header_image) || !empty($smartclean_header_video) 
					? ' with_bg_image' 
					: ' without_bg_image';
				if ($smartclean_header_video!='') 
					echo ' with_bg_video';
				if ($smartclean_header_image!='') 
					echo ' '.esc_attr(smartclean_add_inline_css_class('background-image: url('.esc_url($smartclean_header_image).');'));
				if (!empty($smartclean_header_meta['margin']) != '') 
					echo ' '.esc_attr(smartclean_add_inline_css_class('margin-bottom: '.esc_attr(smartclean_prepare_css_value($smartclean_header_meta['margin'])).';'));
				if (is_single() && has_post_thumbnail()) 
					echo ' with_featured_image';
				if (smartclean_is_on(smartclean_get_theme_option('header_fullheight'))) 
					echo ' header_fullheight smartclean-full-height';
				?> scheme_<?php echo esc_attr(smartclean_is_inherit(smartclean_get_theme_option('header_scheme')) 
												? smartclean_get_theme_option('color_scheme') 
												: smartclean_get_theme_option('header_scheme'));
				?>"><?php

	// Background video
	if (!empty($smartclean_header_video)) {
		get_template_part( 'templates/header-video' );
	}
		
	// Custom header's layout
	do_action('smartclean_action_show_layout', $smartclean_header_id);

	// Header widgets area
	get_template_part( 'templates/header-widgets' );
		
?></header>