<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0
 */


$smartclean_header_css = $smartclean_header_image = '';
$smartclean_header_video = smartclean_get_header_video();
if (true || empty($smartclean_header_video)) {
	$smartclean_header_image = get_header_image();
	if (smartclean_is_on(smartclean_get_theme_option('header_image_override')) && apply_filters('smartclean_filter_allow_override_header_image', true)) {
		if (is_category()) {
			if (($smartclean_cat_img = smartclean_get_category_image()) != '')
				$smartclean_header_image = $smartclean_cat_img;
		} else if (is_singular() || smartclean_storage_isset('blog_archive')) {
			if (has_post_thumbnail()) {
				$smartclean_header_image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full' );
				if (is_array($smartclean_header_image)) $smartclean_header_image = $smartclean_header_image[0];
			} else
				$smartclean_header_image = '';
		}
	}
}

?><header class="top_panel top_panel_default<?php
					echo !empty($smartclean_header_image) || !empty($smartclean_header_video) ? ' with_bg_image' : ' without_bg_image';
					if ($smartclean_header_video!='') echo ' with_bg_video';
					if ($smartclean_header_image!='') echo ' '.esc_attr(smartclean_add_inline_css_class('background-image: url('.esc_url($smartclean_header_image).');'));
					if (is_single() && has_post_thumbnail()) echo ' with_featured_image';
					if (smartclean_is_on(smartclean_get_theme_option('header_fullheight'))) echo ' header_fullheight smartclean-full-height';
					?> scheme_<?php echo esc_attr(smartclean_is_inherit(smartclean_get_theme_option('header_scheme')) 
													? smartclean_get_theme_option('color_scheme') 
													: smartclean_get_theme_option('header_scheme'));
					?>"><?php

	// Background video
	if (!empty($smartclean_header_video)) {
		get_template_part( 'templates/header-video' );
	}
	
	// Main menu
	if (smartclean_get_theme_option("menu_style") == 'top') {
		get_template_part( 'templates/header-navi' );
	}

	// Page title and breadcrumbs area
	get_template_part( 'templates/header-title');

	// Header widgets area
	get_template_part( 'templates/header-widgets' );

?></header>