<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0
 */

$smartclean_args = get_query_var('smartclean_logo_args');

// Site logo
$smartclean_logo_image  = smartclean_get_logo_image(isset($smartclean_args['type']) ? $smartclean_args['type'] : '');
$smartclean_logo_text   = smartclean_is_on(smartclean_get_theme_option('logo_text')) ? get_bloginfo( 'name' ) : '';
$smartclean_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($smartclean_logo_image) || !empty($smartclean_logo_text)) {
	?><a class="sc_layouts_logo" href="<?php echo is_front_page() ? '#' : esc_url(home_url('/')); ?>"><?php
		if (!empty($smartclean_logo_image)) {
			$smartclean_attr = smartclean_getimagesize($smartclean_logo_image);
			echo '<img src="'.esc_url($smartclean_logo_image).'" alt="'.esc_html(basename($smartclean_logo_image)).'"'.(!empty($smartclean_attr[3]) ? sprintf(' %s', $smartclean_attr[3]) : '').'>';
		} else {
			smartclean_show_layout(smartclean_prepare_macros($smartclean_logo_text), '<span class="logo_text">', '</span>');
			smartclean_show_layout(smartclean_prepare_macros($smartclean_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>