<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0
 */

// Page (category, tag, archive, author) title

if ( smartclean_need_page_title() ) {
	smartclean_sc_layouts_showed('title', true);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php

						// Blog/Post title
						?><div class="sc_layouts_title_title"><?php
							$smartclean_blog_title = smartclean_get_blog_title();
							$smartclean_blog_title_text = $smartclean_blog_title_class = $smartclean_blog_title_link = $smartclean_blog_title_link_text = '';
							if (is_array($smartclean_blog_title)) {
								$smartclean_blog_title_text = $smartclean_blog_title['text'];
								$smartclean_blog_title_class = !empty($smartclean_blog_title['class']) ? ' '.$smartclean_blog_title['class'] : '';
								$smartclean_blog_title_link = !empty($smartclean_blog_title['link']) ? $smartclean_blog_title['link'] : '';
								$smartclean_blog_title_link_text = !empty($smartclean_blog_title['link_text']) ? $smartclean_blog_title['link_text'] : '';
							} else
								$smartclean_blog_title_text = $smartclean_blog_title;
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr($smartclean_blog_title_class); ?>"><?php
								$smartclean_top_icon = smartclean_get_category_icon();
								if (!empty($smartclean_top_icon)) {
									$smartclean_attr = smartclean_getimagesize($smartclean_top_icon);
									?><img src="<?php echo esc_url($smartclean_top_icon); ?>" alt="<?php echo esc_html(basename($smartclean_top_icon)); ?>" <?php if (!empty($smartclean_attr[3])) smartclean_show_layout($smartclean_attr[3]);?>><?php
								}
								echo wp_kses_data($smartclean_blog_title_text);
							?></h1>
							<?php
							if (!empty($smartclean_blog_title_link) && !empty($smartclean_blog_title_link_text)) {
								?><a href="<?php echo esc_url($smartclean_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($smartclean_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php
	
						// Breadcrumbs
						?><div class="sc_layouts_title_breadcrumbs"><?php
							do_action( 'smartclean_action_breadcrumbs');
						?></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>