<?php
/**
 * The template to display the background video in the header
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0.14
 */
$smartclean_header_video = smartclean_get_header_video();
$smartclean_embed_video = '';
if (!empty($smartclean_header_video) && !smartclean_is_from_uploads($smartclean_header_video)) {
	if (smartclean_is_youtube_url($smartclean_header_video) && preg_match('/[=\/]([^=\/]*)$/', $smartclean_header_video, $matches) && !empty($matches[1])) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr($matches[1]); ?>"></div><?php
	} else {
		global $wp_embed;
		if (false && is_object($wp_embed)) {
			$smartclean_embed_video = do_shortcode($wp_embed->run_shortcode( '[embed]' . trim($smartclean_header_video) . '[/embed]' ));
			$smartclean_embed_video = smartclean_make_video_autoplay($smartclean_embed_video);
		} else {
			$smartclean_header_video = str_replace('/watch?v=', '/embed/', $smartclean_header_video);
			$smartclean_header_video = smartclean_add_to_url($smartclean_header_video, array(
				'feature' => 'oembed',
				'controls' => 0,
				'autoplay' => 1,
				'showinfo' => 0,
				'modestbranding' => 1,
				'wmode' => 'transparent',
				'enablejsapi' => 1,
				'origin' => home_url(),
				'widgetid' => 1
			));
			$smartclean_embed_video = '<iframe src="' . esc_url($smartclean_header_video) . '" width="1170" height="658" allowfullscreen="0" frameborder="0"></iframe>';
		}
		?><div id="background_video"><?php smartclean_show_layout($smartclean_embed_video); ?></div><?php
	}
}
?>