<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0
 */

// Header sidebar
$smartclean_header_name = smartclean_get_theme_option('header_widgets');
$smartclean_header_present = !smartclean_is_off($smartclean_header_name) && is_active_sidebar($smartclean_header_name);
if ($smartclean_header_present) { 
	smartclean_storage_set('current_sidebar', 'header');
	$smartclean_header_wide = smartclean_get_theme_option('header_wide');
	ob_start();
	if ( is_active_sidebar($smartclean_header_name) ) {
		dynamic_sidebar($smartclean_header_name);
	}
	$smartclean_widgets_output = ob_get_contents();
	ob_end_clean();
	if (!empty($smartclean_widgets_output)) {
		$smartclean_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $smartclean_widgets_output);
		$smartclean_need_columns = strpos($smartclean_widgets_output, 'columns_wrap')===false;
		if ($smartclean_need_columns) {
			$smartclean_columns = max(0, (int) smartclean_get_theme_option('header_columns'));
			if ($smartclean_columns == 0) $smartclean_columns = min(6, max(1, substr_count($smartclean_widgets_output, '<aside ')));
			if ($smartclean_columns > 1)
				$smartclean_widgets_output = preg_replace("/class=\"widget /", "class=\"column-1_".esc_attr($smartclean_columns).' widget ', $smartclean_widgets_output);
			else
				$smartclean_need_columns = false;
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo !empty($smartclean_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php 
				if (!$smartclean_header_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($smartclean_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'smartclean_action_before_sidebar' );
				smartclean_show_layout($smartclean_widgets_output);
				do_action( 'smartclean_action_after_sidebar' );
				if ($smartclean_need_columns) {
					?></div>	<!-- /.columns_wrap --><?php
				}
				if (!$smartclean_header_wide) {
					?></div>	<!-- /.content_wrap --><?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
?>