<?php
/**
 * The template to display posts in widgets and/or in the search results
 *
 * @package WordPress
 * @subpackage SMARTCLEAN
 * @since SMARTCLEAN 1.0
 */

$smartclean_post_id    = get_the_ID();
$smartclean_post_date  = smartclean_get_date();
$smartclean_post_title = get_the_title();
$smartclean_post_link  = get_permalink();
$smartclean_post_author_id   = get_the_author_meta('ID');
$smartclean_post_author_name = get_the_author_meta('display_name');
$smartclean_post_author_url  = get_author_posts_url($smartclean_post_author_id, '');

$smartclean_args = get_query_var('smartclean_args_widgets_posts');
$smartclean_show_date = isset($smartclean_args['show_date']) ? (int) $smartclean_args['show_date'] : 1;
$smartclean_show_image = isset($smartclean_args['show_image']) ? (int) $smartclean_args['show_image'] : 1;
$smartclean_show_author = isset($smartclean_args['show_author']) ? (int) $smartclean_args['show_author'] : 1;
$smartclean_show_counters = isset($smartclean_args['show_counters']) ? (int) $smartclean_args['show_counters'] : 1;
$smartclean_show_categories = isset($smartclean_args['show_categories']) ? (int) $smartclean_args['show_categories'] : 1;

$smartclean_output = smartclean_storage_get('smartclean_output_widgets_posts');

$smartclean_post_counters_output = '';
if ( $smartclean_show_counters ) {
	$smartclean_post_counters_output = '<span class="post_info_item post_info_counters">'
								. smartclean_get_post_counters('comments')
							. '</span>';
}


$smartclean_output .= '<article class="post_item with_thumb">';

if ($smartclean_show_image) {
	$smartclean_post_thumb = get_the_post_thumbnail($smartclean_post_id, smartclean_get_thumb_size('tiny'), array(
		'alt' => get_the_title()
	));
	if ($smartclean_post_thumb) $smartclean_output .= '<div class="post_thumb">' . ($smartclean_post_link ? '<a href="' . esc_url($smartclean_post_link) . '">' : '') . ($smartclean_post_thumb) . ($smartclean_post_link ? '</a>' : '') . '</div>';
}

$smartclean_output .= '<div class="post_content">'
			. ($smartclean_show_categories 
					? '<div class="post_categories">'
						. smartclean_get_post_categories()
						. $smartclean_post_counters_output
						. '</div>' 
					: '')
			. '<h6 class="post_title">' . ($smartclean_post_link ? '<a href="' . esc_url($smartclean_post_link) . '">' : '') . ($smartclean_post_title) . ($smartclean_post_link ? '</a>' : '') . '</h6>'
			. apply_filters('smartclean_filter_get_post_info', 
								'<div class="post_info">'
									. ($smartclean_show_date 
										? '<span class="post_info_item post_info_posted">'
											. ($smartclean_post_link ? '<a href="' . esc_url($smartclean_post_link) . '" class="post_info_date">' : '') 
											. esc_html($smartclean_post_date) 
											. ($smartclean_post_link ? '</a>' : '')
											. '</span>'
										: '')
									. ($smartclean_show_author 
										? '<span class="post_info_item post_info_posted_by">' 
											. esc_html__('by', 'smartclean') . ' ' 
											. ($smartclean_post_link ? '<a href="' . esc_url($smartclean_post_author_url) . '" class="post_info_author">' : '') 
											. esc_html($smartclean_post_author_name) 
											. ($smartclean_post_link ? '</a>' : '') 
											. '</span>'
										: '')
									. (!$smartclean_show_categories && $smartclean_post_counters_output
										? $smartclean_post_counters_output
										: '')
								. '</div>')
		. '</div>'
	. '</article>';
smartclean_storage_set('smartclean_output_widgets_posts', $smartclean_output);
?>